Please Help - Smart Connector supported for many Linux versions and distributions!!!

Hi guys, I am new here in the community!!

I have a costumer who wants to collect logs from those Linux Versions/distribution:


CenOS 4/5
CentOS 6
CentOS 7
CentOS 8

Oracle Linux 4/5
Oracle Linux 7

Debian GNU/Linux 10
Debian GNU/Linux 8

FreeBSD pre 11 versions

Red hat Linux 6

Ubuntu

I know from the latest smart connector events from Red Hat Linux Enterprise (RHEL)
are: 6.4, 6.5, 6.7, 7.1, 7.2, 7.4, 7.5, 7.6, 8.1, 8.2, 8.3, and 8.4 are supported, since CenOS and oracle Linux are based on red hat can i assume those distribution are supported as well? what about the version, only those specific version are supported? Can you help me wich of all those linux that a listed before are supported and wich is not so i may consider developing a flexconnector?

Best Regards

Julio Gomy